httpd-cli-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: [cli-users] net 2.0
Date Mon, 12 Sep 2005 18:35:34 GMT
.NET 1.0 and 1.1 are supported.

Users who've attempted to use .NET 2.0 have observed a number of
problems, including the fact that Apache.Web classes won't compile
on any .NET 2 compilers, and loaded under .NET 2.0, it appears that
the 'native' private symbols end up in the public symbol space,
creating a number of conflicts.

That said, others continue to use .NET 2.0, and perhaps they can
offer some insight.

I'm working on the '.NET 2' / 'Visual Studio 2005' build of the
modules, porting to the new C++.NET language.  Many of our favorite
tricks no longer behave the same way, since Microsoft ditched their
approach to native thunking and JIT's implementation changed.

I'm hoping that, once ported to 2005, it may build under 2003, and
continue to build under future versions of the compiler.

Bill


[ELIDED]

Mime
View raw message